dtk6core (6.0.46) unstable; urgency=medium

  * Release 6.0.46

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 06 Nov 2025 17:03:33 +0800

dtk6core (6.0.45) unstable; urgency=medium

  * Release 6.0.45

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 30 Oct 2025 21:44:54 +0800

dtk6core (6.0.44) unstable; urgency=medium

  * Release 6.0.44

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 16 Oct 2025 19:46:02 +0800

dtk6core (6.0.43) unstable; urgency=medium

  * Release 6.0.43

 --  yeshanshan <packages@deepin.org>  Thu, 25 Sep 2025 16:49:52 +0800

dtk6core (6.0.42) unstable; urgency=medium

  * Release 6.0.42

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 04 Sep 2025 19:26:34 +0800

dtk6core (6.0.41) unstable; urgency=medium

  * Release 6.0.41

 --  yeshanshan <packages@deepin.org>  Thu, 14 Aug 2025 19:48:02 +0800

dtk6core (6.0.40) unstable; urgency=medium

  * Release 6.0.40

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 31 Jul 2025 20:00:36 +0800

dtk6core (6.0.39) unstable; urgency=medium

  * Release 6.0.39

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 03 Jul 2025 21:11:42 +0800

dtk6core (6.0.38) unstable; urgency=medium

  * Release 6.0.38

 --  yeshanshan <yeshanshan@uniontech.com>  Fri, 27 Jun 2025 17:09:01 +0800

dtk6core (6.0.37) unstable; urgency=medium

  * Release 6.0.37

 -- yeshanshan <yeshanshan@uniontech.com>  Thu, 19 Jun 2025 10:11:44 +0800

dtk6core (6.0.36) unstable; urgency=medium

  * sync: from linuxdeepin/dtkcore

 -- YeShanShan <yeshanshan@uniontech.com>  Mon, 19 May 2025 17:23:22 +0800

dtk6core (6.0.35) unstable; urgency=medium

  * sync: from linuxdeepin/dtkcore
  * sync: from linuxdeepin/dtkcore

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 18:50:11 +0800

dtk6core (6.0.34) unstable; urgency=medium

  * sync: from linuxdeepin/dtkcore

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 17 Apr 2025 21:57:06 +0800

dtk6core (6.0.33) unstable; urgency=medium

  * sync: from linuxdeepin/dtkcore
  * sync: from linuxdeepin/dtkcore

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 20 Mar 2025 17:19:28 +0800

dtk6core (6.0.32) unstable; urgency=medium

  * sync: from linuxdeepin/dtkcore
  * sync: from linuxdeepin/dtkcore

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 06 Mar 2025 17:37:40 +0800

dtk6core (6.0.31) unstable; urgency=medium

  * sync: from linuxdeepin/dtkcore
  * sync: from linuxdeepin/dtkcore

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Feb 2025 20:56:31 +0800

dtk6core (6.0.30) unstable; urgency=medium

  * Release 6.0.30

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 13 Feb 2025 17:13:57 +0800

dtk6core (6.0.29) unstable; urgency=medium

  * 6.0.29

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 23 Jan 2025 17:07:20 +0800

dtk6core (6.0.28) unstable; urgency=medium

  * 6.0.28

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 14 Jan 2025 19:17:45 +0800

dtk6core (6.0.27) unstable; urgency=medium

  * 6.0.27

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 09 Jan 2025 19:16:35 +0800

dtk6core (6.0.26) unstable; urgency=medium

  * 6.0.26

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 02 Jan 2025 15:12:31 +0800

dtk6core (6.0.25) unstable; urgency=medium

  * 6.0.25

 -- Wang Fei <wangfei@deepin.org>  Fri, 13 Dec 2024 13:20:30 +0800

dtk6core (6.0.24) unstable; urgency=medium

  * 6.0.24

 -- Wang Fei <wangfei@deepin.org>  Wed, 04 Dec 2024 10:25:35 +0800

dtk6core (6.0.23) unstable; urgency=medium

  * 6.0.23

 -- Wang Fei <wangfei@deepin.org>  Wed, 20 Nov 2024 16:44:26 +0800

dtk6core (6.0.22) unstable; urgency=medium

  * 6.0.22

 -- Wang Fei <wangfei@deepin.org>  Wed, 13 Nov 2024 15:59:20 +0800

dtk6core (6.0.21) unstable; urgency=medium

  * 6.0.21

 -- Wang Fei <wangfei@deepin.org>  Wed, 25 Sep 2024 15:08:04 +0800

dtk6core (6.0.19) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 21 Aug 2024 02:41:05 +0000

dtk6core (6.0.18) unstable; urgency=medium

  * sync: from linuxdeepin/dtkcore

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 08 Jul 2024 02:36:19 +0000

dtk6core (6.0.17) unstable; urgency=medium

  * sync: from linuxdeepin/dtkcore
  * sync: from linuxdeepin/dtkcore
  * sync: from linuxdeepin/dtkcore
  * sync: from linuxdeepin/dtkcore
  * fix: add missing dependency for libdtk6core-dev
    Thanks to zty199
  * sync: from linuxdeepin/dtkcore

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 24 Jun 2024 05:35:03 +0000

dtk6core (6.0.16) unstable; urgency=medium

  * 6.0.16

 -- Mike Chen <chenke@deepin.org>  Mon, 13 May 2024 13:25:22 +0800

dtk6core (6.0.15) unstable; urgency=medium

  * 6.0.15

 -- YeShanShan <yeshanshan@deepin.org>  Mon, 29 Apr 2024 16:15:44 +0800

dtk6core (6.0.14) unstable; urgency=medium

  * 6.0.14

 -- YeShanShan <yeshanshan@deepin.org>  Sun, 28 Apr 2024 13:25:44 +0800

dtk6core (6.0.13) unstable; urgency=medium

  * 6.0.13

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 26 Apr 2024 15:15:19 +0800

dtk6core (6.0.13) unstable; urgency=medium

  * 6.0.13

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 25 Apr 2024 16:30:57 +0800

dtk6core (6.0.12) unstable; urgency=medium

  * 6.0.12

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 23 Apr 2024 11:35:19 +0800

dtk6core (6.0.11) unstable; urgency=medium

  * 6.0.11

 -- Mike Chen <chenke@deepin.org>  Wed, 17 Apr 2024 17:25:11 +0800

dtk6core (6.0.10) unstable; urgency=medium

  * 6.0.10 

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 11 Apr 2024 11:17:18 +0800

dtk6core (6.0.9) unstable; urgency=medium

  * 6.0.9

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 29 Mar 2024 18:02:18 +0800

dtk6core (6.0.8) unstable; urgency=medium

  * 6.0.8

 -- Wang Fei <wangfei@deepin.org>  Tue, 05 Mar 2024 16:06:17 +0800

dtk6core (6.0.4) unstable; urgency=medium

  * 6.0.4

 -- wangfei <wangfei@deepin.org>  Wed, 10 Jan 2024 14:59:17 +0800

dtk6core (6.0.3) unstable; urgency=medium

  * 6.0.3

 -- Mike Chen <chenke@deepin.org>  Tue, 02 Jan 2024 16:19:12 +0800

dtk6core (6.0.2) unstable; urgency=medium

  * release 6.0.2

 -- Yixue Wang <wangyixue@deepin.org>  Wed, 29 Nov 2023 15:26:06 +0800

dtk6core (6.0.1) unstable; urgency=medium

  * Release 6.0.1

 -- Yixue Wang <wangyixue@deepin.org>  Mon, 30 Oct 2023 10:13:08 +0800

dtk6core (6.0.0) unstable; urgency=medium

  * Release 6.0.0

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 18 Sep 2023 10:31:14 +0800

dtkcore (5.6.17) unstable; urgency=medium

  * Release 5.6.17

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 08 Sep 2023 15:12:36 +0800

dtkcore (5.6.16) unstable; urgency=medium

  * fix: FileAppender log level not set
  * chore: ut linked dtkcore instead of source code
  * chore: tweak CMakeLists
  * chore: support Qt 6.4 build
  * chore: qch docs tweak
  * chore: add DtkBuildHelper depends
  * chore: console with color at tty
  * fix: missing dependency qttools5-dev
  * feat: add synchronization workflow

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 22 Aug 2023 06:13:45 +0000

dtkcore (5.6.15) unstable; urgency=medium

  * chore: dlog example tweak

 -- Yixue Wang <wangyixue@deepin.org>  Fri, 11 Aug 2023 13:42:20 +0800

dtkcore (5.6.14) unstable; urgency=medium

  * chore: function need to be marked as override
  * chore: ignore doxygen-theme folder
    Thanks to Skye-rs
  * chore: change OUTPUT_DIR variable in cmake
  * chore: remove unused pro files
  * refactor!: deprecate some interfaces in dtk6
  * fix: updateProp cannot convert to property type
  * fix: typo in xdg
  * chore: reduce compilation warnings
    Thanks to SPUER(Issue: #96)
  * chore(dcapmanager): RuntimeTime -> RuntimeDir
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * chore: make test-recoverage.sh runable again
  * chore: add ut for DDbusSender
  * feat: add systembus send support
  * fix: internalPropSet nerver emit propertyChanged
  * chore: should include QVector headers
  * chore: dsysinfo tweak
  * chore: add some unit test

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Jul 2023 06:56:33 +0000

dtkcore (5.6.13) unstable; urgency=medium

  * feat: DConfig add check for no existed item when override
  * fix(cmake): wrong use of option and wrong macro
  * fix: calling delay in DDBusSender(Issue: https://github.com/linuxdeepin/developer-center/issues/4415)
  * feat: DConfig add check for subpath(Issue: #54)
  * feat: DConfig exports metadir's implementation(Issue: #10)
  * fix(dccinterface): fix cannot get the right type
  * fix: DConfig's `subpathIsValid` produces error
  * fix(ut): failed ut
  * fix(build): build faild on Qt6
  * fix: fix build failed due to gcc compiler bug
  * fix: ut_dfilewater failed on Qt6
  * fix: DTextEncoding ut failed in Qt6.
  * fix: fix DTextEncoding warnings.
  * feat: support dtk6core build
  * feat: add DThreadUtils class
  * fix: move Qt CorePrivate to target private link
  * fix: qdbusxml2cpp-fix not in path
  * chore: remove ddbusinterface property cache
  * chore: remove libdtkcommon depends

 -- Deepin Packages Builder <packages@deepin.org>  Sun, 25 Jun 2023 14:40:49 +0800

dtkcore (5.6.12) unstable; urgency=medium

  * Release 5.6.12
  * add DLicenseInfo
  * cached memoryInstalledSize
  * FIX developer-center#4348

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 15 May 2023 11:18:15 +0800

dtkcore (5.6.11) unstable; urgency=medium

  * Release 5.6.11
  * add color to ConsoleAppender
  * remove build warning

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 08 May 2023 11:48:45 +0800

dtkcore (5.6.10) unstable; urgency=medium

  * Release 5.6.10
  * support XDG_SESSION_DESKTOP set to DDE

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 17 Apr 2023 17:08:28 +0800

dtkcore (5.6.9) unstable; urgency=medium

  * Release 5.6.9

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 03 Apr 2023 09:48:07 +0800

dtkcore (5.6.8) unstable; urgency=medium

  * Release 5.6.8

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 22 Feb 2023 14:09:56 +0800

dtkcore (5.6.6) unstable; urgency=medium

  * Release 5.6.6

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 21 Feb 2023 12:25:24 +0800

dtkcore (5.6.5) unstable; urgency=medium

  * Release 5.6.5

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 02 Feb 2023 14:25:36 +0800

dtkcore (5.6.4) unstable; urgency=medium

  * Release 5.6.4

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 06 Jan 2023 16:30:40 +0800

dtkcore (5.6.3) unstable; urgency=medium

  * Release 5.6.3

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 12 Dec 2022 14:40:31 +0800

dtkcore (5.6.2.2) unstable; urgency=medium

  * release 5.6.2.2

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 17 Nov 2022 17:41:10 +0800

dtkcore (5.6.2.1) unstable; urgency=medium

  * snipe release 5.6.2.1

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 31 Oct 2022 16:53:16 +0800

dtkcore (5.6.2) unstable; urgency=medium

  * snipe release 5.6.2

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 21 Sep 2022 13:57:29 +0800

dtkcore (5.6.0) unstable; urgency=medium

  * snipe release 5.6.0

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 11 Jul 2022 17:47:56 +0800

dtkcore (5.0.3) unstable; urgency=medium

  * Release 5.0.3

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 21 Sep 2019 13:31:03 +0800

dtkcore (5.0.0) unstable; urgency=medium

  * Release 5.0.0

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 03 Sep 2019 08:47:03 +0800

dtkcore (2.0.8) unstable; urgency=medium

  * Release 2.0.8

 -- Deepin Packages Builder <me@iceyer.net>  Wed, 02 May 2018 10:52:03 +0800

dtkcore (0.3.3-1) unstable; urgency=medium

  * Initial release

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 10 Oct 2016 16:58:07 +0800
